Subject: Gallup
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 29 Jun 2000 09:59:00 -0700 (PDT)

The Gallup transaction has been amended effective as of March 30, 2000 
through completion of the following:

(1) The First Amendment Agreement Relating to ECS Compression Company, L.L.C. 
has been completely signed.  An original has been delivered to ECHO.

(2) Houston Pipeline Company has issued to ECS Compression Company, L.L.C. a 
new note for $195,178 and the old note for $164,690 has been canceled.   
Copies of the new and canceled notes have been delivered to ECHO.

(3) Supplement to Gas Price Letter has been signed and a copy delivered to 
ECHO. 

(4) Enfolio Master Firm Purchase Agreement, Transaction Agreement D, has been 
signed and a copy delivered to ECHO.

Copies of these documents will be circulated to all recipients of this e-mail 
except ECHO.  Thanks for your help.  

Regards, NJD